library("iNEXT")
library("ggplot2")

#Full dataset HabSplit Habitat comparison - All 3%
MNB_oct20_all_habsplit_hab3 <- read.table("commatrix.txt", header=T)
MNB_oct20_all_habsplit_hab3_list <- as.list(as.data.frame(t(MNB_oct20_all_habsplit_hab3)))
MNB_oct20_all_habsplit_hab3_h0 <- iNEXT(MNB_oct20_all_habsplit_hab3_list, q=0, datatype="abundance", se=TRUE, nboot=1000, endpoint=68000)
par(cex.lab=1.5, cex.axis=1.5)
plot(MNB_oct20_all_habsplit_hab3_h0, type=1, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#008302","#ff00fe","#0000fe"))
plot(MNB_oct20_all_habsplit_hab3_h0, type=3, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#008302","#ff00fe","#0000fe"))
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$CF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$CF$qD, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$CF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$CF$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$CF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$CF$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$DSF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$DSF$qD, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$DSF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$DSF$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$DSF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$DSF$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$FS$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$FS$qD, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$FS$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$FS$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$FS$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$FS$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$M$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$M$qD, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$M$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$M$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$M$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$M$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$SF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$SF$qD, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$SF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$SF$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$SF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$SF$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$TF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$TF$qD, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$TF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$TF$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habsplit_hab3_h0$iNextEst$TF$SC, MNB_oct20_all_habsplit_hab3_h0$iNextEst$TF$qD.UCL, xout=0.902)

#Full dataset HabManSplit Habitat comparison - All 3%
MNB_oct20_all_habmansplit_hab3 <- read.table("commatrix.txt", header=T)
MNB_oct20_all_habmansplit_hab3_list <- as.list(as.data.frame(t(MNB_oct20_all_habmansplit_hab3)))
MNB_oct20_all_habmansplit_hab3_h0 <- iNEXT(MNB_oct20_all_habmansplit_hab3_list, q=0, datatype="abundance", se=TRUE, nboot=1000, endpoint=26000)
par(cex.lab=1.5, cex.axis=1.5)
plot(MNB_oct20_all_habmansplit_hab3_h0, type=1, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#7eff04","#00ff04","#00ff7e","#008302","#02878c","#ff00fe","#0000fe"))
plot(MNB_oct20_all_habmansplit_hab3_h0, type=3, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#7eff04","#00ff04","#00ff7e","#008302","#02878c","#ff00fe","#0000fe"))
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$CF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$CF$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$CF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$CF$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$CF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$CF$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$DSF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$DSF$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$DSF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$DSF$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$DSF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$DSF$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$FS$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$FS$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$FS$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$FS$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$FS$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$FS$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManO$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManO$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManO$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManO$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManO$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManO$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManPU$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManPU$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManPU$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManPU$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManPU$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManPU$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSB$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSB$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSB$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSB$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSB$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSB$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMN$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMN$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMN$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMN$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMN$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMN$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMO$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMO$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMO$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMO$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMO$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$ManSMO$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$SF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$SF$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$SF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$SF$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$SF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$SF$qD.UCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$TF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$TF$qD, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$TF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$TF$qD.LCL, xout=0.902)
approx(MNB_oct20_all_habmansplit_hab3_h0$iNextEst$TF$SC, MNB_oct20_all_habmansplit_hab3_h0$iNextEst$TF$qD.UCL, xout=0.902)

#Full dataset HabSplit Habitat comparison - All 2%
MNB_oct20_all_habsplit_hab2 <- read.table("commatrix.txt", header=T)
MNB_oct20_all_habsplit_hab2_list <- as.list(as.data.frame(t(MNB_oct20_all_habsplit_hab2)))
MNB_oct20_all_habsplit_hab2_h0 <- iNEXT(MNB_oct20_all_habsplit_hab2_list, q=0, datatype="abundance", se=TRUE, nboot=1000, endpoint=68000)
par(cex.lab=1.5, cex.axis=1.5)
plot(MNB_oct20_all_habsplit_hab2_h0, type=1, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#008302","#ff00fe","#0000fe"))
plot(MNB_oct20_all_habsplit_hab2_h0, type=3, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#008302","#ff00fe","#0000fe"))

#Full dataset HabManSplit Habitat comparison - All 2%
MNB_oct20_all_habmansplit_hab2 <- read.table("commatrix.txt", header=T)
MNB_oct20_all_habmansplit_hab2_list <- as.list(as.data.frame(t(MNB_oct20_all_habmansplit_hab2)))
MNB_oct20_all_habmansplit_hab2_h0 <- iNEXT(MNB_oct20_all_habmansplit_hab2_list, q=0, datatype="abundance", se=TRUE, nboot=1000, endpoint=26000)
par(cex.lab=1.5, cex.axis=1.5)
plot(MNB_oct20_all_habmansplit_hab2_h0, type=1, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#7eff04","#00ff04","#00ff7e","#008302","#02878c","#ff00fe","#0000fe"))
plot(MNB_oct20_all_habmansplit_hab2_h0, type=3, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#7eff04","#00ff04","#00ff7e","#008302","#02878c","#ff00fe","#0000fe"))

#Full dataset HabSplit Habitat comparison - All 4%
MNB_oct20_all_habsplit_hab4 <- read.table("commatrix.txt", header=T)
MNB_oct20_all_habsplit_hab4_list <- as.list(as.data.frame(t(MNB_oct20_all_habsplit_hab4)))
MNB_oct20_all_habsplit_hab4_h0 <- iNEXT(MNB_oct20_all_habsplit_hab4_list, q=0, datatype="abundance", se=TRUE, nboot=1000, endpoint=68000)
par(cex.lab=1.5, cex.axis=1.5)
plot(MNB_oct20_all_habsplit_hab4_h0, type=1, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#008302","#ff00fe","#0000fe"))
plot(MNB_oct20_all_habsplit_hab4_h0, type=3, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#008302","#ff00fe","#0000fe"))

#Full dataset HabManSplit Habitat comparison - All 4%
MNB_oct20_all_habmansplit_hab4 <- read.table("commatrix.txt", header=T)
MNB_oct20_all_habmansplit_hab4_list <- as.list(as.data.frame(t(MNB_oct20_all_habmansplit_hab4)))
MNB_oct20_all_habmansplit_hab4_h0 <- iNEXT(MNB_oct20_all_habmansplit_hab4_list, q=0, datatype="abundance", se=TRUE, nboot=1000, endpoint=26000)
par(cex.lab=1.5, cex.axis=1.5)
plot(MNB_oct20_all_habmansplit_hab4_h0, type=1, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#7eff04","#00ff04","#00ff7e","#008302","#02878c","#ff00fe","#0000fe"))
plot(MNB_oct20_all_habmansplit_hab4_h0, type=3, se=TRUE, show.legend=TRUE, show.main=FALSE, col=c("#840087","#fe0000","#fe7f4a","#7eff04","#00ff04","#00ff7e","#008302","#02878c","#ff00fe","#0000fe"))

#Core dataset Habitat comparison - All 3%
mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3 <- read.table("commatrix.txt", header=T)
mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_list <- as.list(as.data.frame(t(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3)))
mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0 <- iNEXT(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_list, q=0, datatype="abundance", se=TRUE, nboot=1000, endpoint=11000)
par(cex.lab=1.5, cex.axis=1.5)
plot(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0, type=1, se=TRUE, show.legend=TRUE, show.main=FALSE)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$TF$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$TF$qD, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$TF$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$TF$qD.LCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$TF$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$TF$qD.UCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$DSF$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$DSF$qD, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$DSF$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$DSF$qD.LCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$DSF$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$DSF$qD.UCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$FS$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$FS$qD, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$FS$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$FS$qD.LCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$FS$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$FS$qD.UCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$PU$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$PU$qD, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$PU$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$PU$qD.LCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$PU$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$PU$qD.UCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SB$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SB$qD, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SB$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SB$qD.LCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SB$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SB$qD.UCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SM$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SM$qD, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SM$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SM$qD.LCL, xout=2453)
approx(mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SM$m, mipp_all_MNBbw_OGoc_habmanSMsplit_allguild_SMc_hab3_h0$iNextEst$SM$qD.UCL, xout=2453)
