#This script converts the clusterlist output of clustering into a community matrix, given a list of sites as bins
#Usage: python clusterlist_to_commatrix.py clusterlist.txt binlist.txt output.txt

#loads modules and files as arguments
import os,sys,csv
inp = open(sys.argv[1])
bin = open(sys.argv[2])
out = open(sys.argv[3], 'w')

#read clusterlist and creates a list of clusters
i = inp.readlines()
clust = i[0].strip().strip(" ").strip("\n").strip("\r").strip("}").strip("{").split("]")
clustlist = []
for each in clust[:-1]:
	cl = each.split("[")
	clustlist.append(cl[1])

#read binlist and creates a list of bins
b = bin.readlines()
binlist = []
for each in b:
	b1 = each.strip()
	binlist.append(b1)

#if the bin is in the sequence header, counts it and creates a dictionary with the key = binID and value = list of counts	
bindict = {}
idlist=[]
for bin in binlist:
	bincount = []
	for clus in clustlist:
		count = 0
		clus1 = clus.strip().split(",")
		clusids=[x.split("_")[1] for x in clus1]
		clusids.sort()
		cluster_minzrc=clusids[0]
		if cluster_minzrc not in idlist:
			idlist.append(cluster_minzrc)
		for seq in clus1:
			if bin in seq:
				count = count + 1
		bincount.append(count)
	bindict[bin] = bincount
	binlen = len(bincount)

#creates the header based on the binIDs
out.write("\t")
for head in bindict:
	out.write(head + "\t")
	
#writes the output in a community matrix format
out.write("\n")
for num in range(0, binlen, 1):
	out.write(idlist[num]+'\t')
	for n in bindict:
		out.write(str(bindict[n][num]) + "\t")
	out.write("\n")
